#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 28. Icons

- Prev

  gnome-icon-theme-symbolic-3.12.0

- Next

  hicolor-icon-theme-0.18

- Up
- Home

# gnome-themes-extra-3.28

## Introduction to GNOME Themes Extra

The GNOME Themes Extra package, formerly known as GNOME Themes Standard, contains various components of the default GNOME theme.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-themes-extra/3.28/gnome-themes-extra-3.28.tar.xz

- Download MD5 sum: f9f2c6c521948da427f702372e16f826

- Download size: 2.8 MB

- Estimated disk space required: 40 MB

- Estimated build time: 0.3 SBU

### GNOME Themes Extra Dependencies

#### Required

GTK-3.24.52 with librsvg-2.62.1, and Intltool-0.51.0

## Installation of GNOME Themes Extra

Install GNOME Themes Extra by running the following commands:

    ./configure --prefix=/usr --disable-gtk2-engine &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-gtk2-engine`: This switch disables the GTK+-2 theming engine because GTK+-2 is no longer part of BLFS.

`--disable-gtk3-engine`: This switch disables the GTK+-3 theming engine.

## Contents

Installed Programs: None
Installed Library: None
Installed Directories: /usr/share/icons/HighContrast, /usr/share/themes/Adwaita, /usr/share/themes/Adwaita-dark, and /usr/share/themes/HighContrast

- Prev

  gnome-icon-theme-symbolic-3.12.0

- Next

  hicolor-icon-theme-0.18

- Up
- Home